## kdeplasma-addons 6.6.1

=== kwin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
# SPDX-FileCopyrightText: 2025 Kristen McWilliam <kristen@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(effects)
add_subdirectory(scripts)
add_subdirectory(windowswitchers)
