=== applets/calculator/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Tobias Fella <tobias.fella@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

plasma_add_applet(org.kde.plasma.calculator QML_SOURCES main.qml GENERATE_APPLET_CLASS)
