=== debian/control ===
--- 
+++ 
@@ -32,8 +32,8 @@
                libkf6svg-dev (>= 6.22.0~),
                libkf6unitconversion-dev (>= 6.22.0~),
                libkf6xmlgui-dev (>= 6.22.0~),
-               libplasma-dev (>= 6.6.1~),
-               libplasma5support-dev (>= 4:6.6.1~),
+               libplasma-dev (>= 6.6.2~),
+               libplasma5support-dev (>= 4:6.6.2~),
                pkgconf,
                qt6-5compat-dev (>= 6.10.0~),
                qt6-base-dev (>= 6.10.0~),
@@ -62,8 +62,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-wayland (>= 4:6.2.90~),
-         plasma-desktoptheme (>= 6.2.90~),
+         kwin-wayland (>= 4:6.6.0~),
+         plasma-desktoptheme (>= 6.6.0~),
          qml6-module-org-kde-kirigami,
          qml6-module-org-kde-ksvg,
          qml6-module-qt5compat-graphicaleffects,
@@ -109,7 +109,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         plasma-desktoptheme (>= 6.2.90~),
+         plasma-desktoptheme (>= 6.6.0~),
          qml6-module-org-kde-kcmutils,
          qml6-module-org-kde-kirigami,
          qml6-module-qtquick,
@@ -132,7 +132,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         plasma-desktoptheme (>= 6.2.90~),
+         plasma-desktoptheme (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: additional data engines for Plasma
@@ -168,7 +168,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         plasma-desktoptheme (>= 6.2.90~),
+         plasma-desktoptheme (>= 6.6.0~),
          qml6-module-org-kde-kirigami,
          qml6-module-org-kde-kquickcontrols,
          qml6-module-org-kde-ksvg,
@@ -196,8 +196,8 @@
          kpackagetool6,
          libkf6purpose-bin,
          plasma-dataengines-addons (= ${binary:Version}),
-         plasma-desktoptheme (>= 6.2.90~),
-         plasma-workspace (>= 4:6.2.90~),
+         plasma-desktoptheme (>= 6.6.0~),
+         plasma-workspace (>= 4:6.6.0~),
          qml6-module-org-kde-config,
          qml6-module-org-kde-coreaddons,
          qml6-module-org-kde-draganddrop,
